View Issue Details

IDProjectCategoryLast Update
0023219AI War 2Gameplay IssueAug 11, 2020 9:42 am
ReporterUbifan Assigned Tokeith.lamothe  
Severitymajor 
Status resolvedResolutionfixed 
Product Version2.048 Bugfixes 
Summary0023219: Melee ships on attack-move mode don't behave differently than when moving/attacking without any modes
DescriptionWhen using melee ships, to get them to attack enemies, I need to either

-order them to attack every single target, which is not feasible, or

-use pursuit mode, which is nice on defense, but makes attacking stronger enemy planets a lot harder.


This leads me to dislike using melee ships because they feel unreliable on attacking and not worth it to get solely for defending (especially because upgrading them through the melee tech would mean upgrading just my defenses in this case)
Giving melee ships a targeting range on attack-move mode might help.
TagsNo tags attached.

Relationships

related to 0021903 resolvedkeith.lamothe Melee ships (ie. Gangsaw) won't ram naturally into enemy ships unless in pursuit mode 

Activities

Ubifan

May 27, 2020 7:40 am

reporter   ~0057133

I guess what I am trying to say is that melee ships without a movement mode that automatically attacks nearby (and only nearby) enemy ships, I can only see myself using them on pursuit mode.
That would mean I would only use them on defense and weaker enemy planets, making the melee ships less versatile than other ship types for me and thus less interested in getting/upgrading those.

keith.lamothe

Aug 10, 2020 11:46 am

administrator   ~0058028

For 2.117:

* Melee units in attack-move mode will now go after units within a limited range (equivalent to a weapon with range=Normal1), so you have a middle-ground between "only attack your direct target or things actually touching you" and "pursue anything on the planet".

This doesn't solve the problem for melee units not in any particular mode; I also implemented a "always put player melee units in attack-move mode unless in pursuit or hold-fire" rule but wound up backing that out as it seemed to conflict with things like normal move orders (the gangsaws would refuse to comply, and instead kept eating whatever they had caught, etc).

So I'm sure we're not done here, but I'd like feedback on what the next steps should be after you have a chance to see the seek-range in action.

keith.lamothe

Aug 11, 2020 9:42 am

administrator   ~0058041

Went ahead with a further refinement, after all:

* Also, even when not in attack-move mode, player melee units without orders (and not in hold-fire mode) now automatically move to attack nearby targets. If all such targets die or move away, the melee unit goes back to where it was.

I was skeptical, thinking it would lead to annoying edge cases where it seemed to resist player commands, etc, but it actually works really smoothly in my testing. I'm confident it will break horribly once released into the wild ;)

Issue History

Date Modified Username Field Change
May 27, 2020 7:30 am Ubifan New Issue
May 27, 2020 7:31 am Ubifan Relationship added related to 0021903
May 27, 2020 7:40 am Ubifan Note Added: 0057133
Aug 10, 2020 11:46 am keith.lamothe Note Added: 0058028
Aug 11, 2020 9:42 am keith.lamothe Assigned To => keith.lamothe
Aug 11, 2020 9:42 am keith.lamothe Status new => resolved
Aug 11, 2020 9:42 am keith.lamothe Resolution open => fixed
Aug 11, 2020 9:42 am keith.lamothe Note Added: 0058041

Debug Log

Number Execution time Caller Event
PLUGIN-10SMFAuth SMFAuth.php:55 SMFAuthPlugin->auto_login()SMFAuth Initializing
PLUGIN-20SMFAuth SMFAuth.php:59 SMFAuthPlugin->auto_login()SMF Settings loaded from /home/arcengames/public_html/forums
PLUGIN-30SMFAuth SMFAuth.php:147 SMFAuthPlugin->decodeCookie()Cookie doesn't exist! Is the user logged into the forums?